<?php
ini_set( 'display_errors', 1 );
require_once __DIR__ . '/functions.php';

// エラーハンドラの定義
function exceptions_error_handler($severity, $message, $filename, $lineno) {
throw new ErrorException($message, 0, $severity, $filename, $lineno);
}
// エラーハンドラの設定
set_error_handler('exceptions_error_handler');

// グローバルな例外ハンドラの定義
function global_exception_handler($exception) {
echo '<span style="color: red;font-weight: bold;">Permission denied</span><br>';
echo '２つのディレクトリ「' . basename(dirname(__FILE__, 2)) . '」と「' . basename(dirname(__FILE__, 1)) . '」の<br>「その他 (Other)」のパーミッションを「7」に変更して、リロードあるいはもう一度アクセスしてみてください。';
}
// グローバルな例外ハンドラの設定
set_exception_handler('global_exception_handler');

$datafile    = "../caption.txt";
$dirname1 = "../image-masonry";
$dirname2 = "../image-orig";
$allow_type = array();

$page_title = 'Masonry Image Gallery';
$file_name = 'image-gallery';
$text_color = '#ffffff';
$back_color = '#333333';
$image_link = '1';
$image_number = '6';
$image_sort = '0';
$image_enlarge = '1';
$image_volume = '2097152';
$password = 'password';

$gd_info = gd_info();
if($gd_info["GIF Read Support"] && $gd_info["GIF Create Support"]) {
  $allow_type[] = 'gif';
}
if($gd_info["JPEG Support"]) {
  $allow_type[] = 'jpg';
}
if($gd_info["PNG Support"]) {
  $allow_type[] = 'png';
}
if($gd_info["WebP Support"]) {
  $allow_type[] = 'webp';
}

if (extension_loaded('gd')) {
  if (in_array('webp', $allow_type)) {
    $result = implode(', ', $allow_type);

      createSettingFile($page_title, $file_name, $text_color, $back_color, $image_link, $image_number, $image_sort, $image_enlarge, $image_volume, $password);

      touch($datafile);

      if (!is_dir($dirname1)) {
          mkdir($dirname1);
      }
      if (!is_dir($dirname2)) {
          mkdir($dirname2);
      }
  } else {
    $msg = "WebP がサポートされていません。";
  }
} else {
  $msg = "GD ライブラリが利用できません。";
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width">
<title>チェック＆設定</title>
<link rel="icon" href="./install.svg" type="image/svg+xml">
<style>
.error {
  color: red;
}
p.indent-1 {
	padding-left:1em;
	text-indent:-1em;
}
</style>
<script>

</script>
</head>
<body>
<?php if (isset($msg)): ?>
  <p class="error"><?php echo $msg; ?></p>
<?php else: ?>
  <p>・利用可能な画像形式は、<?php echo $result; ?> になります。</p>
  <p>・このファイル ( <?php echo basename(__FILE__); ?> ) は削除してください。</p>
  <p class="indent-1">・<a href="./admin.php" target="_blank">管理画面</a>にアクセスしてログインしてください。<br>
  初期パスワードは「password」です。</p>
<?php endif; ?>

</body>
</html>

