<?php
require_once __DIR__ . '/gallery/setting.php';
require_once __DIR__ . '/gallery/functions.php';
$page_title      = PAGE_TITLE;
$text_color      = TEXT_COLOR;
$back_color      = BACK_COLOR;
$image_link      = IMAGE_LINK;
$image_number    = IMAGE_NUMBER;
$image_sort      = IMAGE_SORT;
$image_enlarge   = IMAGE_ENLARGE;

$upload_dir  = './image-orig';
$masonry_dir = './image-masonry';
$datafile    = "./caption.txt";

$files = array_diff(scandir($upload_dir), array ('..', '.'));
if ($image_sort == "2") {

} elseif ($image_sort == "1") {
$files = array_reverse($files);
} else {
  shuffle($files);
}

$new_data   = array();
getCaption();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width">
<title><?php echo h($page_title); ?></title>
<link rel="icon" href="masonry.svg" type="image/svg+xml">
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Patua+One&display=swap" rel="stylesheet">
<link href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.4/css/lightbox.css" rel="stylesheet">
<style>
body {
  color: <?php echo h($text_color); ?>;
  background-color: <?php echo h($back_color); ?>;
}
.page_title {
  font-family: 'Patua One', cursive;
  font-size: 30px;
  text-align: center;
  margin-bottom: 14px;
}
.image-container{
<?php if ($image_number == "9"): ?>
  columns: 9 165px;
  column-gap: 7px;
<?php elseif ($image_number == "8"): ?>
  columns: 8 185px;
  column-gap: 8px;
<?php elseif ($image_number == "7"): ?>
  columns: 7 210px;
  column-gap: 9px;
<?php else: ?>
  columns: 6 245px; /* 245x2+10=500 一列の時の画像最大幅は 500px */
  column-gap: 10px;
<?php endif; ?>
}

.image-container img{
<?php if ($image_number == "9"): ?>
  margin-bottom: 2px;
  border-radius: 7px;
<?php elseif ($image_number == "8"): ?>
  margin-bottom: 3px;
  border-radius: 8px;
<?php elseif ($image_number == "7"): ?>
  margin-bottom: 4px;
  border-radius: 9px;
<?php else: ?>
  margin-bottom: 5px;
  border-radius: 10px;
<?php endif; ?>
  <?php echo ( $image_enlarge =="0" ) ? 'max-width' : 'width'; ?>: 100%;
}
#ver {
  text-align: right;
  font-size: small;
}
#ver a {
  color: <?php echo get_yuv_text_color( $back_color ); ?>;
  text-decoration: none;
}
</style>
</head>
<body>

<div class="page_title"><?php echo h($page_title); ?></div>
<!--<p>順番は縦に並ぶ。</p>-->
    <div class="image-container">
<?php
  foreach ($files as $file){
    $filename = pathinfo($file, PATHINFO_FILENAME);
    $image_id = preg_replace("/[^0-9]/", "", $file);
    if($image_link == "1") {
    echo '<a href="' . h($upload_dir) . '/' . h($file) . '" data-lightbox="gallery" data-title="' . h($new_data[$image_id]) . '"><img src="' . h($masonry_dir) . '/' . h($filename) . '.webp' . '" title="' . h($new_data[$image_id]) . '" alt=""></a>';
    } else {
    echo '<img src="' . h($masonry_dir) . '/' . h($filename) . '.webp' . '" title="' . h($new_data[$image_id]) . '" alt="">';
    }
  }
?>
    </div>
<div id="ver"><a href="https://www.wave440.com/masonry-image-gallery/" target="_blank">Ver.1.0</a></div>
<script src="https://code.jquery.com/jquery-1.12.4.min.js" type="text/javascript"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.4/js/lightbox.min.js" type="text/javascript"></script>
</body>
</html>

